Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035682
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorsometimes2017-04-04 11:382017-05-29 17:43
ReporterJONHMView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision3f0bb1b574c3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR16Q4.2SCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035682: Return From Customer pick and edit is very slow with big data

Descriptionwith big data, the query executed during pick&edit process, in Return From Customer window, the response time is high, almost 3 minutes.

We have applied the configuration
  - Add restriction in "Product - Pick / Edit Lines - RFC/RTV HQL Pick / Edit Lines" field to "Allow filtering by FK identifier" No
and we have applied the changeset of issue 34031, but the problem persists
Steps To Reproducewith big data
go to Return From Customer window
select the record of Business Partner 'CC000 - Cliente Publico'
click in pick & Edit process
TagsNo tags attached.
Attached Filestxt file icon RFCperformance.txt [^] (47,041 bytes) 2017-04-04 11:38 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034031 closedAtulOpenbravo Return From Customer pick and edit is very slow with big data 
related to defect 0032949 closedAtulOpenbravo performance problem in pick and execute of Return to Vendor: RFC/RTV HQL Pick / Edit Lines 
related to defect 0034839 closedrqueralta Not possible to select a shipment in RFC window if that shipment has not been created from an order. 
related to design defect 00346123.0PR17Q1 closedvmromanos Performance problem in Return To Vendor Shipment 
has duplicate defect 0037088 closedTriage Finance Pick and edit of return to vendor not working properly 
blocks design defect 0039815 scheduledmarkmm82 Module script UpdateIsCompletelyInvoiced cannot be executed due to poor performance 

-  Notes
(0096236)
markmm82 (developer)
2017-04-27 17:11

In environment with big data

Test Plan 1:
  Go to Return From Customer window
  Select the record of Business Partner 'CC000 - Cliente Publico'
  Click in pick & Edit process and notice grid is loaded in about 7 seconds.

Test Plan 2 (testing scenario of 34839):
As F&B International Group Admin

 - Go to Product window
   Create a new one named Product 1 for F&B España.
   Enter a purchase price list (Tarifa Bebidas Alegres) and a sales price list (Tarifa de Ventas) in tab "Price".
   Enter any unit and list price.

 - Go to Purchase Order window
   Create a new one for F&B España, Bebidas Alegres business partner.
   Go to Lines and select the product. Enter an ordered Qty = 500 Units.
   Book the order.

 - Go to Goods Receipt window
   Create a new one for F&B España, Bebidas Alegres business partner.
   Use Create Lines From. Select the order. Enter a storage bin (RN-0-0-0) and receipt all quanity.
   Complete the receipt.

 - Go to Sales Order window
   Create a new one for F&B España, Alimentos y Supermercados business partner.
   Go to Lines and select Product 1. Enter an ordered quantity = 10.
   Book the order.

 - Go to Goods Shipment window
   Create a new one for F&B España, Alimentos y Supermercados business partner.
   Use Create Lines From. Select the sales order just created. Enter a warehouse position RN-0-0-0, and select all lines. Press OK.
   Complete the shipment. Write down shipment order number 210, for instance.

 - In Goods Shipment window create another one for F&B España, Alimentos y Supermercados business partner.
   Go to lines tab and create a new one. Select Product 1. Change Movement quantity to 15. Storage bin RN-0-0-0.
   Complete the shipment. Write down shipment order number 211, for instance.
 
 - Go to Return from Customer window
   Create a new one for F&B España, Alimentos y Supermercados business partner.
   Click on Pick/Edit Lines.

 - Verify that shipment number 210 (the one created from the sales order) is shown, and that shipment number 211 (the one created from scrath) is shown too.
(0096241)
hgbot (developer)
2017-04-27 21:01

Repository: erp/devel/pi
Changeset: 3f0bb1b574c3f9c2c6ea59f41c0548c977a8f013
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Apr 27 10:46:56 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/3f0bb1b574c3f9c2c6ea59f41c0548c977a8f013 [^]

Fixes issue 35682: Return From Customer pick and edit is slow with big data

With big data, the query executed during Pick & Edit process, in Return From Customer
window, the response time is high, almost 3 minutes.

To improve the performance was redefined the query in ReturnFromCustomerHQLInserter.java
to use the NOT EXISTS function instead of use of SELECT query to only see if doesn't
exists lines with discounts. It also avoid the translation hibernate was doing to a
query with join between c_orderline and c_order_discount tables, and avoid iterate
all c_orderline records if any exists with a discount related.

---
M src/org/openbravo/common/datasource/ReturnFromCustomerHQLInserter.java
---
(0096244)
aferraz (developer)
2017-04-27 21:06

Code review + Testing OK
(0096913)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-04-04 11:38 JONHM New Issue
2017-04-04 11:38 JONHM Assigned To => Triage Finance
2017-04-04 11:38 JONHM File Added: RFCperformance.txt
2017-04-04 11:38 JONHM Modules => Core
2017-04-04 11:38 JONHM Triggers an Emergency Pack => No
2017-04-04 12:26 JONHM Relationship added related to 0034031
2017-04-04 12:26 aferraz Relationship added related to 0032949
2017-04-04 12:28 aferraz Relationship added related to 0034839
2017-04-04 12:29 aferraz Relationship added related to 0034612
2017-04-04 12:31 aferraz Assigned To Triage Finance => markmm82
2017-04-04 16:56 heccam Issue Monitored: heccam
2017-04-17 18:37 markmm82 Status new => scheduled
2017-04-27 17:11 markmm82 Note Added: 0096236
2017-04-27 21:01 hgbot Checkin
2017-04-27 21:01 hgbot Note Added: 0096241
2017-04-27 21:01 hgbot Status scheduled => resolved
2017-04-27 21:01 hgbot Resolution open => fixed
2017-04-27 21:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3f0bb1b574c3f9c2c6ea59f41c0548c977a8f013 [^]
2017-04-27 21:06 aferraz Review Assigned To => aferraz
2017-04-27 21:06 aferraz Note Added: 0096244
2017-04-27 21:06 aferraz Status resolved => closed
2017-04-27 21:06 aferraz Fixed in Version => 3.0PR17Q3
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096913
2017-10-24 12:35 JONHM Relationship added has duplicate 0037088
2018-12-17 12:34 adrianromero Relationship added blocks 0039815


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker